The officially official Devuan Forum!

You are not logged in.

#1 2022-12-01 02:00:00

stevesr0
Member
Registered: 2022-12-01
Posts: 5  

[SOLVED] Updates? libpolkit-backend-1-0 and libpolkit-backend-consolekit-1-0

Hi all,

Devuan has provided some upgraded consolekit related packages (v.122), but these two packages are still at the 0.105 version in the repositories I have checked.

I would appreciate a referral to a repository where the newer versions are available, if these packages have been updated yet.

Thanks in advance.

stevesr0

Offline

#2 2022-12-01 06:54:02

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 3,053  
Website

Re: [SOLVED] Updates? libpolkit-backend-1-0 and libpolkit-backend-consolekit-1-0

Why do you think you need those two packages? I've just installed the consolekit package in a daedalus system with no problems. Those packages are not dependencies of consolekit.


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII, 18.

Offline

#3 2022-12-01 23:31:34

stevesr0
Member
Registered: 2022-12-01
Posts: 5  

Re: [SOLVED] Updates? libpolkit-backend-1-0 and libpolkit-backend-consolekit-1-0

Hi Head_on_a_Stick,

Thanks for response.

I am running antiX Sid and trying to get Pipewire working without systemd elements.  Using libelogind0 (a component of systemd), Pipewire works fine for my usages.  However, when I tried to use consolekit as a replacement, it doesn't work.  I saw several polkit packages maintained by Devuan developers, that seemed to be related to consolekit.  As I mentioned two have not yet reached the level of the others and this has caused a failure in the installation of some libpolkit packages.

Lacking any other idea for getting Pipewire working with consolekit, I posted here asking about timing of the update of these two packages.

stevesr0

Offline

#4 2022-12-02 16:18:50

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 3,053  
Website

Re: [SOLVED] Updates? libpolkit-backend-1-0 and libpolkit-backend-consolekit-1-0

stevesr0 wrote:

I posted here asking about timing of the update of these two packages

Those packages are no more. The last versions were for Debian oldstable.

Have you tried seatd with pipewire? That works for my Alpine system.

Last edited by Head_on_a_Stick (2022-12-02 16:48:39)


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII, 18.

Offline

#5 2022-12-03 00:29:22

stevesr0
Member
Registered: 2022-12-01
Posts: 5  

Re: [SOLVED] Updates? libpolkit-backend-1-0 and libpolkit-backend-consolekit-1-0

Hi Head-on-a-Stick,

thanks again.

I am a permanent noobie.  I have seatd and consolekit installed, but quite possibly not properly configured or possibly my problem is that I am not in the proper group.

Running htop, seatd is running but searching for consolekit shows nothing.

Happy for a reference to a tutorial for enabling pipewire via seatd.  On a search a little while ago today, I didn't see anything in a step-by-step for noobies <g>.

Thanks in advance.

stevesr0

Offline

#6 2022-12-03 13:27:04

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 3,053  
Website

Re: [SOLVED] Updates? libpolkit-backend-1-0 and libpolkit-backend-consolekit-1-0

If you have seatd installed and running then consolekit should not be needed. For seatd the user needs to be in the audio, video & seat groups. Or at least in Alpine that's the case. Have you asked about this on the antiX forums? The community there will probably have a better grasp of the situation.

I followed this guide but it would have to be adapted. This is under sway, I can't remember what antiX uses. Is it fluxbox or something similar?

EDIT: and do you really need pipewire? I find that everything on my system works without a sound server. IIRC it's only remote conferencing that needs one.

Last edited by Head_on_a_Stick (2022-12-03 13:29:06)


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII, 18.

Offline

#7 2022-12-11 00:49:33

stevesr0
Member
Registered: 2022-12-01
Posts: 5  

Re: [SOLVED] Updates? libpolkit-backend-1-0 and libpolkit-backend-consolekit-1-0

Belated reply -

Thanks Head_on_a_Stick,

I finally discussed this with Kenny Levisen (seatd/libseat developer) who saw I probably needed an XDG_RUNTIME_DIR script.  After setting that up, pipewire works after removing libelogind0 and rebooting.

So, I will mark this solved.

Offline

#8 2022-12-11 10:22:45

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 3,053  
Website

Re: [SOLVED] Updates? libpolkit-backend-1-0 and libpolkit-backend-consolekit-1-0

Thanks for sharing the solution. Would you mind posting the content of your "XDG_RUNTIME_DIR script"? It might help other users.

I really should have remembered but I do have to do that in Alpine as well:

$ grep XDG_RUNTIME /alpine/home/empty/.profile
XDG_RUNTIME_DIR="$HOME/.tmp"
export ENV XDG_RUNTIME_DIR MOZ_ENABLE_WAYLAND EDITOR VISUAL BROWSER VDPAU_DRIVER PAGER
$

I have no idea if that's the "correct" way to do it but it works for me™.


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII, 18.

Offline

#9 2022-12-11 20:41:26

stevesr0
Member
Registered: 2022-12-01
Posts: 5  

Re: [SOLVED] Updates? libpolkit-backend-1-0 and libpolkit-backend-consolekit-1-0

Hi Head_on_a_Stick,

The setup is explained here: https://man.sr.ht/~kennylevinsen/seatd/#xdg_runtime_dir-not-set.

That is one of Kenny Levinsen's webpages.

There are some backticks that looked to me like apostrophes.  They surround the "id u" phrases.  It didn't work until I changed the aprostrophes to backticks.  (I ended up copying and pasting <g>.)

The only thing I have noted that is a possible negative is that my browser froze after long period of playing music, although neither cpu or mem usage was particularly high.  It is an old machine; might be coincidence, dying hardware or something that needs tweaking.  Interested if anyone else reports that this enabled Pipewire for them and if they noted any "side effects".

Thanks again for your help.

stevesr0

Offline

#10 2022-12-12 09:08:44

aluma
Member
Registered: 2022-10-26
Posts: 102  

Re: [SOLVED] Updates? libpolkit-backend-1-0 and libpolkit-backend-consolekit-1-0

...Единственное, что я отметил, что это возможный минус, это то, что мой браузер завис после длительного периода воспроизведения музыки, хотя ни процессор, ни память не были особенно высокими...

I don't have Pipewire, but there are similar issues with browsers.
Firefox (opensuse) sometimes freezes when browsing FB pages, Iridium (PSlinux, latest version) when browsing YouTube.
In both cases, there is no memory leak, it is almost half full, the processor is not loaded. The previous version of Iridium works with Exegnu without these problems.

Offline

Board footer